clang-tools 10.0.0

Classes | Public Member Functions | List of all members
clang::include_fixer::ClangIncludeFixerPluginAction Class Reference

The core include fixer plugin action. More...

Inheritance diagram for clang::include_fixer::ClangIncludeFixerPluginAction:
[legend]
Collaboration diagram for clang::include_fixer::ClangIncludeFixerPluginAction:
[legend]

## Public Member Functions
| ClangIncludeFixerPluginAction ()
std::unique_ptr< clang::ASTConsumer > | CreateASTConsumer (clang::CompilerInstance &CI, StringRef InFile) override
void | ExecuteAction () override
bool | ParseArgs (const CompilerInstance &CI, const std::vector< std::string > &Args) override

## Detailed Description

The core include fixer plugin action.

This just provides the AST consumer and command line flag parsing for using include fixer as a clang plugin.

Definition at line 22 of file IncludeFixerPlugin.cpp.

## Constructor & Destructor Documentation

## ◆ ClangIncludeFixerPluginAction()

clang::include_fixer::ClangIncludeFixerPluginAction::ClangIncludeFixerPluginAction | ( |  | ) |
| inline explicit

Definition at line 33 of file IncludeFixerPlugin.cpp.

## Member Function Documentation

## ◆ CreateASTConsumer()

std::unique_ptr<clang::ASTConsumer> clang::include_fixer::ClangIncludeFixerPluginAction::CreateASTConsumer | ( | clang::CompilerInstance & | CI,
|  | StringRef | InFile
| ) |  |
| inline override

Definition at line 40 of file IncludeFixerPlugin.cpp.

## ◆ ExecuteAction()

void clang::include_fixer::ClangIncludeFixerPluginAction::ExecuteAction | ( |  | ) |
| inline override

Definition at line 47 of file IncludeFixerPlugin.cpp.

## ◆ ParseArgs()

bool clang::include_fixer::ClangIncludeFixerPluginAction::ParseArgs | ( | const CompilerInstance & | CI,
|  | const std::vector< std::string > & | Args
| ) |  |
| inline override

Definition at line 49 of file IncludeFixerPlugin.cpp.

The documentation for this class was generated from the following file:

- IncludeFixerPlugin.cpp